/*
 * (C) Copyright 2006-2011 Nuxeo SA (http://nuxeo.com/) and others.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser General Public License
 * (LGPL) version 2.1 which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl-2.1.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * Contributors:
 *     Thomas Roger <troger@nuxeo.com>
 */

package org.nuxeo.ecm.activity;

import org.nuxeo.common.xmap.annotation.XNode;
import org.nuxeo.common.xmap.annotation.XObject;

/**
 * Descriptor object for registering a mapping between an Activity verb and a
 * label key.
 *
 * @author <a href="mailto:troger@nuxeo.com">Thomas Roger</a>
 * @since 5.5
 * @deprecated since 5.6. See {@link ActivityVerb}.
 */
@Deprecated
@XObject("activityMessageLabel")
public class ActivityMessageLabelDescriptor {

    @XNode("@activityVerb")
    protected String activityVerb;

    @XNode("@labelKey")
    protected String labelKey;

    public ActivityMessageLabelDescriptor() {
    }

    public String getActivityVerb() {
        return activityVerb;
    }

    public String getLabelKey() {
        return labelKey;
    }

}
