/*
 * (C) Copyright 2009 Nuxeo SAS (http://nuxeo.com/) and contributors.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser General Public License
 * (LGPL) version 2.1 which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 */
package org.nuxeo.ecm.platform.replication.summary;

/**
 * The entry marking the missing specific required version. The wanted version
 * is named also.
 *
 * @author rux
 */
public class ReporterEntryMissingVersion extends ReporterEntry {

    public String versionName;

    public static final String MISSING_VERSION_KEY = "missingVersion";

    public ReporterEntryMissingVersion(String documentId, String documentName,
            String documentPath, String versionName) {
        super(documentId, documentName, documentPath);
        this.versionName = versionName;
    }

    public ReporterEntryMissingVersion() {
    }

    @Override
    public String getRepresentation() {
        return "version " + versionName + " for document "
                + getDocumentIdentifier();
    }

}
