/*
 * (C) Copyright 2010 Nuxeo SAS (http://nuxeo.com/) and contributors.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser General Public License
 * (LGPL) version 2.1 which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 * Contributors:
 *     Nuxeo - initial API and implementation
 */

package org.nuxeo.ecm.platform.shibboleth.web.service;

import org.nuxeo.runtime.model.ComponentInstance;
import org.nuxeo.runtime.model.DefaultComponent;

/**
 * Shibboleth Group service component implementation
 *
 * @author <a href="mailto:akervern@nuxeo.com">Arnaud Kervern</a>
 */
public class ShibbolethGroupsServiceImpl extends DefaultComponent
        implements ShibbolethGroupsService {

    public static final String CONFIG_EP = "config";

    protected ShibbolethGroupsConfig config;

    @Override
    public void registerContribution(Object contribution, String extensionPoint,
            ComponentInstance contributor) throws Exception {
        if (CONFIG_EP.equals(extensionPoint)) {
            config = (ShibbolethGroupsConfig) contribution;
        }
    }

    @Override
    public String getParseString() {
        return config == null ? null : config.getParseString();
    }

    @Override
    public String getShibbGroupBasePath() {
        return config == null ? null : config.getShibbGroupBasePath();
    }
}
