package org.nuxeo.ecm.platform.template.tests;

import java.io.File;
import java.io.Serializable;

import org.junit.Test;
import org.nuxeo.common.utils.FileUtils;
import org.nuxeo.ecm.core.api.Blob;
import org.nuxeo.ecm.core.api.DocumentModel;
import org.nuxeo.ecm.core.api.impl.blob.FileBlob;
import org.nuxeo.template.api.adapters.TemplateBasedDocument;

import static org.junit.Assert.*;

public class TestXSLTProcessing extends SimpleTemplateDocTestCase {

    @Test
    public void testDocumentsAttributes() throws Exception {
        TemplateBasedDocument adapter = setupTestDocs();

        File file = FileUtils.getResourceFileFromContext("data/nuxeoremoting.wsdl");
        Blob fileBlob = new FileBlob(file);
        fileBlob.setFilename("nuxeoremoting.wsdl");

        DocumentModel testDoc = adapter.getAdaptedDoc();
        assertNotNull(testDoc);

        testDoc.setPropertyValue("file:content", (Serializable) fileBlob);
        testDoc = session.saveDocument(testDoc);

        adapter = testDoc.getAdapter(TemplateBasedDocument.class);

        String processorType = adapter.getSourceTemplate(TEMPLATE_NAME).getTemplateType();
        assertEquals("XSLTProcessor", processorType);

        Blob newBlob = adapter.renderWithTemplate(TEMPLATE_NAME);

        String xmlContent = newBlob.getString();
        assertTrue(xmlContent.contains("This page was generated by wsdl-viewer.xsl"));

    }

    @Override
    protected Blob getTemplateBlob() {
        File file = FileUtils.getResourceFileFromContext("data/wsdl-viewer.xsl");
        Blob fileBlob = new FileBlob(file);
        fileBlob.setFilename("wsdl-viewer.xsl");
        return fileBlob;
    }

}
