/*
 * (C) Copyright 2006-2011 Nuxeo SA (http://nuxeo.com/) and contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Contributors:
 *     Nuxeo - initial API and implementation
 *
 * $Id$
 */

package org.nuxeo.common.xmap;

import java.lang.reflect.Field;

/**
 * @author  <a href="mailto:bs@nuxeo.com">Bogdan Stefanescu</a>
 *
 */
public class XFieldAccessor implements XAccessor {

    private final Field field;

    public XFieldAccessor(Field field) {
        this.field = field;
        this.field.setAccessible(true);
    }

    public Class getType() {
        return field.getType();
    }

    public void setValue(Object instance, Object value)
            throws IllegalAccessException {
        field.set(instance, value);
    }

    public Object getValue(Object instance) throws Exception  {
       return field.get(instance);
    }

}
