/*
 * (C) Copyright 2006-2011 Nuxeo SA (http://nuxeo.com/) and contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * Contributors:
 *     Nuxeo - initial API and implementation
 *
 * $Id: TestSerializableHelper.java 20633 2007-06-17 11:54:03Z sfermigier $
 */

package org.nuxeo.common.utils;

import java.io.Serializable;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 * @author sfermigier
 */
public class TestSerializableHelper {

    @Test
    public void test() {
        assertTrue(SerializableHelper.isSerializable(new SerializableClass()));
        assertFalse(SerializableHelper.isSerializable(new NonSerializableClass()));
    }

}

class SerializableClass implements Serializable {
    private static final long serialVersionUID = -2338745642609144868L;
}

class NonSerializableClass {
}

