/*
 * (C) Copyright 2007 Nuxeo SAS (http://nuxeo.com/) and contributors.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the GNU Lesser General Public License
 * (LGPL) version 2.1 which accompanies this distribution, and is available at
 * http://www.gnu.org/licenses/lgpl.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * Contributors:
 *     Nuxeo - initial API and implementation
 *
 * $Id$
 */

package org.nuxeo.ecm.platform.ui.web.pathelements;

import org.nuxeo.ecm.core.api.DocumentException;
import org.nuxeo.ecm.core.api.DocumentModel;
import org.nuxeo.ecm.core.api.facet.VersioningDocument;

/**
 * @author <a href="mailto:glefter@nuxeo.com">George Lefter</a>
 */
public class VersionDocumentPathElement extends DocumentPathElement {

    public static final String TYPE = "VersionDocumentPathElement";

    private static final long serialVersionUID = -2151946234154284611L;

    public VersionDocumentPathElement(DocumentModel docModel) {
        super(docModel);
    }

    @Override
    public String getName() {
        try {
            VersioningDocument docVer = docModel.getAdapter(VersioningDocument.class);
            String minorVer = docVer.getMinorVersion().toString();
            String majorVer = docVer.getMajorVersion().toString();
            return majorVer + '.' + minorVer;
        } catch (DocumentException e) {
            throw new RuntimeException("failed to compute document version", e);
        }
    }

    @Override
    public String getType() {
        return TYPE;
    }

}
